;Guile Commands

;================================================================
;-| Stuff |------------------------------------------------------
;================================================================

[ReMap]
a = a
b = b
c = z
x = x
y = y
z = c
s = s

[Defaults]
Command.Time = 15
Command.Buffer.Time = 3

;================================================================
;-| LDM |--------------------------------------------------------
;================================================================

[Command]
name = "Sonic Hurricane"
command =  ~30$B, $F, $B, F, c
time = 21

[Command]
name = "Sonic Hurricane"
command =  ~30$B, $F, $B, F, x+y
time = 21

[Command]
name = "Somersault Strike C"
command = ~30DB, DF, DB, $U, c
time = 32
buffer.time=3

[Command]
name = "Somersault Strike C"
command = ~30DB, DF, DB, $U, a+b
time = 32
buffer.time=3

;================================================================
;-| DM |--------------------------------------------------------
;================================================================

[Command]
name = "Super Sonic Boom"
command = ~30$B, $F, $B, F, x
time = 21

[Command]
name = "Super Sonic Boom"
command =~30$B, $F, $B, F, y
time = 21

[Command]
name = "Total Wipeout"
command = ~30$B, $F, $B, F, a
time = 21

[Command]
name = "Total Wipeout"
command = ~30$B, $F, $B, F, b
time = 21

[Command]
name = "Somersault Strike"
command = ~30DB,DF,DB,$U, a
time = 32
buffer.time=3

[Command]
name = "Somersault Strike"
command = ~30DB, DF, DB, $U, b
time = 32
buffer.time=3

[Command]
name = "Somersault Slash"
command = ~D,DF,F,D,DB,B, a
time = 21

[Command]
name = "Somersault Slash"
command = ~D,DF,F,D,DB,B, b
time = 21

;================================================================
;-| SPECIALS |---------------------------------------------------
;================================================================

[Command]
name = "Sonic Boom x"
command = ~30$B, $F, x
time = 12

[Command]
name = "Sonic Boom y"
command = ~30$B, $F, y
time = 12

[Command]
name = "L Sonic Boom a"
command = ~30$B, $F, a
time = 12

[Command]
name = "L Sonic Boom b"
command = ~30$B, $F, b
time = 12

[Command]
name = "Somersault Kick a"
command = ~30$D, $U, a
time = 12

[Command]
name = "Somersault Kick a"
command = ~30$D, $U, ~a
time = 12

[Command]
name = "Somersault Kick b"
command = ~30$D, $U, b
time = 12

[Command]
name = "Somersault Kick b"
command = ~30$D, $U, ~b
time = 12

;================================================================

;================================================================
;-| DOUBLE TAP |-------------------------------------------------
;================================================================

[Command]
name = "FF"
command = F, F
time = 10

[Command]
name = "BB"
command = B, B
time = 10

[Command]
name = "FBF"
command = F, B, F
time = 10

[Command]
name = "BFB"
command = B, F, B
time = 10

;================================================================

;================================================================
;-| 2/3 button combination |-------------------------------------
;================================================================

[Command]
name = "recovery"
command = x+a
time = 1

[Command]
name = "recovery"
command = z
time = 1

[Command]
name = "knockdown"
command = c
time = 1

[Command]
name = "knockdown"
command = y+b
time = 1

;================================================================

;================================================================
;-| Hold Button |------------------------------------------------
;================================================================

[Command]
name = "hold_a"
command = /$a
time = 1

[Command]
name = "hold_b"
command = /$b
time = 1

[Command]
name = "hold_c"
command = /$c
time = 1

[Command]
name = "hold_x"
command = /$x
time = 1

[Command]
name = "hold_y"
command = /$y
time = 1

[Command]
name = "hold_z"
command = /$z
time = 1

;================================================================

[Command]
name = "longjump"
command = D, $U
time = 18

;================================================================
;-| SINGLE BUTTON |----------------------------------------------
;================================================================


[Command]
name = "a"
command = a
time = 1


[Command]
name = "b"
command = b
time = 1


[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1


[Command]
name = "start"
command = s
time = 1
;================================================================

;================================================================
;-| HOLD DIRECTION |---------------------------------------------
;================================================================

[Command]
name = "holdfwd"
command = /$F
time = 1

[Command]
name = "holdback"
command = /$B
time = 1

[Command]
name = "holdup"
command = /$U
time = 1

[Command]
name = "holddown"
command = /$D
time = 1

;================================================================
;-| TAP BUTTON |-------------------------------------------------
;================================================================

[Command]
name = "tap_a"
command = ~a
time = 1

[Command]
name = "tap_b"
command = ~b
time = 1

[Command]
name = "tap_x"
command = ~x
time = 1

[Command]
name = "tap_y"
command = ~y
time = 1

;################################################################
;- |2. STATE ENTRY| ---------------------------------------------
;################################################################

[Statedef -1]

;=======================================
; Combo vars
;=======================================
[State -1, Combo1]
type = Varset
trigger1 = 1
var(39) = 0

[State -1, Combo2]
type = Varset
trigger1 = (stateno = 200) && animelemtime(2) > 0 && animelemtime(3) < 0 && movetype = A && movecontact
trigger2 = (stateno = 210) && animelemtime(8) > 0 && animelemtime(10) < 0 && movetype = A && movecontact
trigger3 = (stateno = 230) && animelemtime(4) > 0 && animelemtime(6) < 0 && movetype = A && movecontact
trigger4 = (stateno = 300) && animelemtime(3) > 0 && animelemtime(4) < 0 && movetype = A && movecontact
trigger5 = (stateno = 400) && animelemtime(2) > 0 && animelemtime(3) < 0 && movetype = A && movecontact
trigger6 = (stateno = 410) && animelemtime(4) > 0 && animelemtime(6) < 0 && movetype = A && movecontact
trigger7 = (stateno = 430) && animelemtime(5) > 0 && animelemtime(6) < 0 && movetype = A && movecontact
trigger8 = (stateno = 440) && animelemtime(13) > 0 && animelemtime(16) < 0 && movetype = A && movecontact
trigger9 = (stateno = 530) && animelemtime(3) > 0 && animelemtime(6) < 0 && movetype = A && movecontact
trigger10 = (stateno = 360) && animelemtime(5) > 0 && animelemtime(7) < 0 && movetype = A && movecontact
ignorehitpause = 1
var(39) = var(39) | 1

[State -1, fakeCombo]
type = Varset
trigger1 = 1
var(42) = 0

[State -1, Combo2]
type = Varset
trigger1 = (stateno = 350) && animelemtime(5) > 1 && animelemtime(7) <= 0
ignorehitpause = 1
var(42) = var(42) | 1

;=======================================
; LDM
;=======================================
;---------------------------------------------------------------------------
;Sonic Hurricane, former Exceed
[State -1, Sonic Hurricane]
type = ChangeState
value = 3400
triggerall = Var(59) = 0
triggerall = Power >= 2000
triggerall = NumHelper(3401) = 0
triggerall = NumProj = 0
triggerall = (!var(10) && !var(28)) || var(28)
triggerall = Command = "Sonic Hurricane"
trigger1 = statetype != A && ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1
trigger4 = stateno = 100
trigger5 = (stateno = 1000 || stateno = 1010) && ((fvar(5) > 1000 && !var(26)) || var(26))
trigger6 = (stateno = 1300 || stateno = 1310) && ((fvar(5) > 1000 && !var(26)) || var(26))
trigger7 = stateno = 3000 && movecontact

;Somersault Strike, SDM version
[State -1, Super Somersault Strike]
type = ChangeState
value = 3300
triggerall = Var(59) = 0
triggerall = Power >= 3000
triggerall = (!var(10) && !var(28)) || var(28)
triggerall = Command = "Somersault Strike C"
trigger1 = statetype != A && (ctrl || stateno=40)
trigger2 = var(39) = 1
trigger3 = var(42) = 1
trigger4 = stateno = 100
trigger5 = (stateno = 1000 || stateno = 1010) && ((fvar(5) > 1000 && !var(26)) || var(26))
trigger6 = (stateno = 1300 || stateno = 1310) && ((fvar(5) > 1000 && !var(26)) || var(26))
trigger7 = stateno = 3000 && movecontact


;=======================================
; DM
;=======================================
;---------------------------------------------------------------------------

;Somersault Slash
[State -1, Somersault Slash]
type = ChangeState
value = 3200
triggerall = Var(59) = 0
triggerall = Power >= 1000
triggerall = Command = "Somersault Slash"
trigger1 = statetype != A && ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1

;Somersault Strike
[State -1, Somersault Strike]
type = ChangeState
value = 3100
triggerall = Var(59) = 0
triggerall = Power >= 1000
triggerall = Command = "Somersault Strike"
trigger1 = statetype != A && (ctrl || stateno=40)
trigger2 = var(39) = 1
trigger3 = var(42) = 1

;Total Wipeout
[State -1, Total Wipeout]
type = ChangeState
value = 3000
triggerall = Var(59) = 0
triggerall = Power >= 1000
triggerall = Command = "Total Wipeout"
trigger1 = statetype != A && ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1

;Super Sonic Boom
[State -1, Super Sonic Boom]
type = ChangeState
value = 3550
triggerall = Var(59) = 0
triggerall = Power >= 1000
triggerall = NumHelper(3401) = 0
triggerall = NumProj = 0
triggerall = Command = "Super Sonic Boom"
trigger1 = statetype != A && ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1

;=======================================
; Special Moves
;=======================================
;---------------------------------------------------------------------------
;Sonic Boom x
[State -1, Sonic Boom x]
type = ChangeState
value = 1000
triggerall = Var(59) = 0
triggerall = NumProj = 0
triggerall = Command = "Sonic Boom x"
trigger1 = StateType != A && ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1

;Sonic Boom y
[State -1, Sonic Boom y]
type = ChangeState
value = 1010
triggerall = Var(59) = 0
triggerall = NumProj = 0
triggerall = Command = "Sonic Boom y"
trigger1 = StateType != A && ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1

;---------------------------------------------------------------------------
;Low Sonic Boom a
[State -1,Low Sonic Boom a]
type = null;ChangeState
value = 1300
triggerall = Var(59) = 0
triggerall = NumProj = 0
triggerall = Command = "L Sonic Boom a"
trigger1 = StateType != A && ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1

;Low Sonic Boom b
[State -1, Low Sonic Boom b]
type = null;ChangeState
value = 1310
triggerall = Var(59) = 0
triggerall = NumProj = 0
triggerall = Command = "L Sonic Boom b"
trigger1 = StateType != A && ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1

;---------------------------------------------------------------------------

;Somersault Kick a
[State -1, Somersault Kick]
type = ChangeState
value = 1100
triggerall = Var(59) = 0
triggerall = command = "Somersault Kick a"
trigger1 = Statetype != A && ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1
trigger4 = stateno = 40

;Somersault Kick b
[State -1, Somersault Kick b]
type = ChangeState
value = 1110
triggerall = Var(59) = 0
triggerall = command = "Somersault Kick b"
trigger1 = Statetype != A && ctrl
trigger2 = var(39) = 1
trigger3 = var(42) = 1
trigger4 = stateno = 40

;=======================================
;Throws
;=======================================
;Ground---------------------------------
;Grab B
[State -1, GrabB ]
type = ChangeState
value = 800
triggerall = command = "b"
triggerall = statetype = S && ctrl && stateno != 100
trigger1 = command = "holdfwd" && p2bodydist X < 3 && p2movetype != H
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger2 = command = "holdback" && p2bodydist X < 5 && p2movetype != H
trigger2 = (p2statetype = S) || (p2statetype = C)

;Grab Y
[State -1, GrabY ]
type = ChangeState
value = 850
triggerall = command = "y"
triggerall = statetype = S && ctrl && stateno != 100
trigger1 = command = "holdfwd" && p2bodydist X < 3 && p2movetype != H
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger2 = command = "holdback" && p2bodydist X < 5 && p2movetype != H
trigger2 = (p2statetype = S) || (p2statetype = C)

;Air------------------------------------
;Grab Y
[State -1, Air Grab Y]
type = ChangeState
value = 910
triggerall = command = "y"
triggerall = command = "holdfwd"||command = "holddown"||command = "holdback"
triggerall = statetype = A
triggerall = ctrl
triggerall = p2bodydist Y=[-38,20]
trigger1 = p2bodydist X < 14
trigger1 = (enemy,statetype = A)
trigger1 = p2movetype != H

;Grab B
[State -1, Air Grab B]
type = ChangeState
value = 950
triggerall = command = "b"
triggerall = statetype = A
triggerall = ctrl
triggerall = p2bodydist Y=[-38,20]
triggerall = command = "holdfwd"||command = "holddown"||command = "holdback"
trigger1 = p2bodydist X < 14
trigger1 = (enemy,statetype = A)
trigger1 = p2movetype != H

;=======================================
;Basic Commands
;=======================================
;---------------------------------------------
; Taunt
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = command = "start"
triggerall = stateno != 190
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------
; Run fwd
[State -1, Run Fwd]
type = ChangeState
value = 100
triggerall = command = "FF"
triggerall = command != "FBF"
trigger1 = statetype = S
trigger1 = ctrl

; Step back
[State -1, Stp Back]
type = ChangeState
value = 105
triggerall = command = "BB"
triggerall = command != "BFB"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------
; Roll Back
[State -1,RollB]
type = ChangeState
value = 710
triggerall = command = "recovery" && command = "holdback"
triggerall = life > 0 && statetype != A
trigger1 = ctrl

; Roll Forward
[State -1,RollF] 
type = ChangeState
value = 700
triggerall = command = "recovery" ;&& command = "holdfwd"
triggerall = life > 0 && statetype != A
trigger1 = ctrl

; Roll Back Counter
[State -1,rollB Counter]
type = ChangeState
value = 711
triggerall = command = "recovery" && command = "holdback"
triggerall = power >= 1000 && life > 0 && statetype != A
trigger1 = stateno = 150 
trigger2 = stateno = 152 

; Roll Back Cancel
[State -1, rollB Cancel]
type = ChangeState
value = 715
triggerall = command = "recovery" && command = "holdback"
triggerall = power >= 500
trigger1 = var(39) = 1

; Roll Forward Counter
[State -1,RollF counter]
type = ChangeState
value = 701
triggerall = command = "recovery" && command = "holdfwd"
triggerall = power >= 1000 && life > 0 && statetype != A
trigger1 = stateno = 150 
trigger2 = stateno = 152 

; Roll Back Cancel
[State -1, rollB Cancel]
type = ChangeState
value = 705
triggerall = command = "recovery"
triggerall = power >= 500
trigger1 = var(39) = 1

;---------------------------------------------
; Knock Down Counter
[State -1,CD counter]
type = ChangeState
value = 712
triggerall = command = "knockdown"
triggerall = power >= 1000 && life > 0 && statetype != A
trigger1 = stateno = 150 
trigger2 = stateno = 152 

; Knock Down
[State -1,Knockdown]
type = ChangeState
value = 360
triggerall = command = "knockdown" 
trigger1 = statetype = S && ctrl 

; Knock Down Jumping
[State -1,JCD]
type = ChangeState
value = 750
triggerall = command = "knockdown"
trigger1 = statetype = A && ctrl


;=======================================
;Support Attacks
;=======================================

;Spinning Back Knuckle
[State -1,FHP]
type = ChangeState
value = 320
triggerall = command = "y" && command = "holdfwd"
triggerall = command != "holddown"
trigger1 = statetype = S && ctrl
trigger2 = (stateno = 200) && animelemtime(2) > 0 && animelemtime(3) < 0 && movetype = A && movecontact
trigger3 = (stateno = 210) && animelemtime(8) > 0 && animelemtime(10) < 0 && movetype = A && movecontact
trigger4 = (stateno = 230) && animelemtime(4) > 0 && animelemtime(6) < 0 && movetype = A && movecontact
trigger5 = (stateno = 400) && animelemtime(2) > 0 && animelemtime(3) < 0 && movetype = A && movecontact
trigger6 = (stateno = 410) && animelemtime(4) > 0 && animelemtime(6) < 0 && movetype = A && movecontact
trigger7 = (stateno = 430) && animelemtime(5) > 0 && animelemtime(6) < 0 && movetype = A && movecontact
trigger8 = (stateno = 440) && animelemtime(13) > 0 && animelemtime(16) < 0 && movetype = A && movecontact

;-----------------------------------------------------------

;Knee Bazooka
[State -1,FLK]
type = ChangeState
value = 330
triggerall = command != "holddown"
triggerall = statetype = S && ctrl
trigger1 = command = "a" && command = "holdfwd"
trigger2 = command = "a" && command = "holdback"

;-----------------------------------------------------------

;Rolling Sobat Forward
[State -1,FHK]
type = ChangeState
value = 350
triggerall = command = "b" && command = "holdfwd"
triggerall = command != "holddown"
trigger1 = statetype = S && ctrl
trigger2 = (stateno = 200) && animelemtime(2) > 0 && animelemtime(3) < 0 && movetype = A && movecontact
trigger3 = (stateno = 210) && animelemtime(8) > 0 && animelemtime(10) < 0 && movetype = A && movecontact
trigger4 = (stateno = 230) && animelemtime(4) > 0 && animelemtime(6) < 0 && movetype = A && movecontact
trigger5 = (stateno = 400) && animelemtime(2) > 0 && animelemtime(3) < 0 && movetype = A && movecontact
trigger6 = (stateno = 410) && animelemtime(4) > 0 && animelemtime(6) < 0 && movetype = A && movecontact
trigger7 = (stateno = 430) && animelemtime(5) > 0 && animelemtime(6) < 0 && movetype = A && movecontact
trigger8 = (stateno = 440) && animelemtime(13) > 0 && animelemtime(16) < 0 && movetype = A && movecontact

;Rolling Sobat Backward
[State -1,BHK]
type = ChangeState
value = 351
triggerall = command = "b" && command = "holdback"
triggerall = command != "holddown"
trigger1 = statetype = S && ctrl
trigger2 = (stateno = 200) && animelemtime(2) > 0 && animelemtime(3) < 0 && movetype = A && movecontact
trigger3 = (stateno = 210) && animelemtime(8) > 0 && animelemtime(10) < 0 && movetype = A && movecontact
trigger4 = (stateno = 230) && animelemtime(4) > 0 && animelemtime(6) < 0 && movetype = A && movecontact
trigger5 = (stateno = 400) && animelemtime(2) > 0 && animelemtime(3) < 0 && movetype = A && movecontact
trigger6 = (stateno = 410) && animelemtime(4) > 0 && animelemtime(6) < 0 && movetype = A && movecontact
trigger7 = (stateno = 430) && animelemtime(5) > 0 && animelemtime(6) < 0 && movetype = A && movecontact
trigger8 = (stateno = 440) && animelemtime(13) > 0 && animelemtime(16) < 0 && movetype = A && movecontact

;-----------------------------------------------------------------

;Uppercut
[State -1,DFLP]
type = null;ChangeState
value = 300
triggerall = command = "holdfwd" && command = "holddown" && command = "x"
trigger1 = statetype != A && ctrl
trigger2 = (stateno = 200) && animelemtime(2) > 0 && animelemtime(3) < 0 && movetype = A && movecontact
trigger3 = (stateno = 210) && animelemtime(8) > 0 && animelemtime(10) < 0 && movetype = A && movecontact
trigger4 = (stateno = 230) && animelemtime(4) > 0 && animelemtime(6) < 0 && movetype = A && movecontact
trigger5 = (stateno = 400) && animelemtime(2) > 0 && animelemtime(3) < 0 && movetype = A && movecontact
trigger6 = (stateno = 410) && animelemtime(4) > 0 && animelemtime(6) < 0 && movetype = A && movecontact
trigger7 = (stateno = 430) && animelemtime(5) > 0 && animelemtime(6) < 0 && movetype = A && movecontact
trigger8 = (stateno = 440) && animelemtime(13) > 0 && animelemtime(16) < 0 && movetype = A && movecontact

;-----------------------------------------------------------------

;Slide Kick
[State -1,DFLK]
type = ChangeState
value = 530
triggerall = command = "a" && command = "holdfwd" && command = "holddown"
trigger1 = statetype != A && ctrl
trigger2 = (stateno = 200) && animelemtime(2) > 0 && animelemtime(3) < 0 && movetype = A && movecontact
trigger3 = (stateno = 210) && animelemtime(8) > 0 && animelemtime(10) < 0 && movetype = A && movecontact
trigger4 = (stateno = 230) && animelemtime(4) > 0 && animelemtime(6) < 0 && movetype = A && movecontact
trigger5 = (stateno = 400) && animelemtime(2) > 0 && animelemtime(3) < 0 && movetype = A && movecontact
trigger6 = (stateno = 410) && animelemtime(4) > 0 && animelemtime(6) < 0 && movetype = A && movecontact
trigger7 = (stateno = 430) && animelemtime(5) > 0 && animelemtime(6) < 0 && movetype = A && movecontact
trigger8 = (stateno = 440) && animelemtime(13) > 0 && animelemtime(16) < 0 && movetype = A && movecontact

;Slide Kick
[State -1,DFLK]
type = ChangeState
value = 530
triggerall = command = "a" && command = "holdback" && command = "holddown"
trigger1 = statetype != A && ctrl
trigger2 = (stateno = 200) && animelemtime(2) > 0 && animelemtime(3) < 0 && movetype = A && movecontact
trigger3 = (stateno = 210) && animelemtime(8) > 0 && animelemtime(10) < 0 && movetype = A && movecontact
trigger4 = (stateno = 230) && animelemtime(4) > 0 && animelemtime(6) < 0 && movetype = A && movecontact
trigger5 = (stateno = 400) && animelemtime(2) > 0 && animelemtime(3) < 0 && movetype = A && movecontact
trigger6 = (stateno = 410) && animelemtime(4) > 0 && animelemtime(6) < 0 && movetype = A && movecontact
trigger7 = (stateno = 430) && animelemtime(5) > 0 && animelemtime(6) < 0 && movetype = A && movecontact
trigger8 = (stateno = 440) && animelemtime(13) > 0 && animelemtime(16) < 0 && movetype = A && movecontact

;-------------------------------------------------------------------------------

;Backward Kick
[State -1,JBWK]
type = ChangeState
value = 760
triggerall = command = "holdback" && command = "a"
trigger1 = statetype = A && ctrl
trigger2 = stateno = 106

;=======================================
;Basic Attacks
;=======================================
;Light Punch
[State -1,Lp]
type = ChangeState
value = 200
triggerall = command = "x"
trigger1 = statetype = S && ctrl
trigger2 = (stateno = 200) && animelemtime(2) > 1 && animelemtime(2) <= 3 && movetype = A && movecontact && command != "holddown" && command != "holdfwd" && command != "holdback"
trigger3 = (stateno = 230) && animelemtime(4) > 1 && animelemtime(5) <= 3 && movetype = A && movecontact && command != "holddown" && command != "holdfwd" && command != "holdback"
trigger4 = (stateno = 400) && animelemtime(2) > 1 && animelemtime(2) <= 3 && movetype = A && movecontact && command != "holddown" && command != "holdfwd" && command != "holdback"
trigger5 = (stateno = 430) && animelemtime(5) > 1 && animelemtime(6) <= 3 && movetype = A && movecontact && command != "holddown"  && command != "holdfwd" && command != "holdback"
ignorehitpause = 1

;-----------------------------------------------------------

;Light Kick
[State -1,Lk]
type = ChangeState
value = 230
triggerall = command = "a"
trigger1 = statetype = S && ctrl
trigger2 = (stateno = 200) && animelemtime(2) > 1 && animelemtime(2) <= 3 && movetype = A && movecontact && command != "holddown" && command != "holdfwd" && command != "holdback"
trigger3 = (stateno = 230) && animelemtime(4) > 1 && animelemtime(5) <= 3 && movetype = A && movecontact && command != "holddown" && command != "holdfwd" && command != "holdback"
trigger4 = (stateno = 400) && animelemtime(2) > 1 && animelemtime(2) <= 3 && movetype = A && movecontact && command != "holddown" && command != "holdfwd" && command != "holdback"
trigger5 = (stateno = 430) && animelemtime(5) > 1 && animelemtime(6) <= 3 && movetype = A && movecontact && command != "holddown"  && command != "holdfwd" && command != "holdback"
ignorehitpause = 1

;-----------------------------------------------------------------------

;High Punch
[State -1,hp]
type = ChangeState
value = 310
triggerall = command = "y"
triggerall = p2bodydist x >= 27
trigger1 = statetype = S && ctrl
ignorehitpause = 1

;High Punch Close
[State -1,hpc]
type = ChangeState
value = 210
triggerall = command = "y"
triggerall = p2bodydist x < 27
trigger1 = statetype = S && ctrl
ignorehitpause = 1

;------------------------------------------------------------------------

;High Kick
[State -1,hk]
type = ChangeState
value = 340
triggerall = command = "b"
triggerall = p2bodydist x >= 22
trigger1 = statetype = S && ctrl
ignorehitpause = 1

;High Kick Close
[State -1,hkc]
type = ChangeState
value = 240
triggerall = command = "b"
triggerall = p2bodydist x < 22
trigger1 = statetype = S && ctrl
ignorehitpause = 1

;-------------------------------------------------------------------------

;Crouch light Punch
[State -1,CLP]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C && ctrl
trigger2 = (stateno = 200) && animelemtime(2) > 1 && animelemtime(2) <= 3 && movetype = A && movecontact && command = "holddown"
trigger3 = (stateno = 230) && animelemtime(4) > 1 && animelemtime(5) <= 3 && movetype = A && movecontact && command = "holddown"
trigger4 = (stateno = 400) && animelemtime(2) > 1 && animelemtime(2) <= 3 && movetype = A && movecontact && command = "holddown"
trigger5 = (stateno = 430) && animelemtime(5) > 1 && animelemtime(6) <= 3 && movetype = A && movecontact && command = "holddown"
trigger6 = stateno = 47
ignorehitpause = 1

;Crouch Light Kick
[State -1,CLk]
type = ChangeState
value = 430
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C && ctrl
trigger2 = (stateno = 200) && animelemtime(2) > 1 && animelemtime(2) <= 3 && movetype = A && movecontact && command = "holddown"
trigger3 = (stateno = 230) && animelemtime(4) > 1 && animelemtime(5) <= 3 && movetype = A && movecontact && command = "holddown"
trigger4 = (stateno = 400) && animelemtime(2) > 1 && animelemtime(2) <= 3 && movetype = A && movecontact && command = "holddown"
trigger5 = (stateno = 430) && animelemtime(5) > 1 && animelemtime(6) <= 3 && movetype = A && movecontact && command = "holddown"
trigger6 = stateno = 47
ignorehitpause = 1

;Crouch High Punch
[State -1,Chp]
type = ChangeState
value = 410
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C && ctrl
trigger2 = stateno = 47

;Crouch High Kick
[State -1,CLk]
type = ChangeState
value = 440
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C && ctrl
trigger2 = stateno = 47
ignorehitpause = 1

;------------------------------------------------------------------------

;Jump Neutral Light Punch
[State -1,JLPN]
type = ChangeState
value = 600
triggerall = command = "x"
triggerall = statetype = A
triggerall = vel x = 0
trigger1 = statetype = A && ctrl

;Jump Light Punch
[State -1,JLP]
type = ChangeState
value = 600
triggerall = command = "x"
triggerall = statetype = A
trigger1 = vel x != 0 && ctrl
trigger2 = stateno = 201 && ctrl

;Jump Light Kick
[State -1,JLK]
type = ChangeState
value = 730
triggerall = command = "a"
triggerall = statetype = A
trigger1 = vel x != 0 && ctrl
trigger2 = stateno = 201 && ctrl

;Jump Neutral Light Kick
[State -1,JLKN]
type = ChangeState
value = 630
triggerall = command = "a"
triggerall = vel x = 0
trigger1 = statetype = A && ctrl

;Jump High Punch
[State -1,JHP]
type = ChangeState
value = 610
triggerall = command = "y"
triggerall = statetype = A
trigger1 = vel x != 0 && ctrl
trigger2 = stateno = 201 && ctrl

;Jump Neutral High Punch
[State -1,JHPN]
type = ChangeState
value = 620
triggerall = command = "y"
triggerall = vel x = 0
trigger1 = statetype = A && ctrl

;Jump High Kick
[State -1,JHK]
type = ChangeState
value = 740
triggerall = command = "b"
triggerall = statetype = A
trigger1 = vel x != 0 && ctrl
trigger2 = stateno = 201 && ctrl

;Jump Neutral High Kick
[State -1,JHKN]
type = ChangeState
value = 640
triggerall = command = "b"
triggerall = vel x = 0
trigger1 = statetype = A && ctrl




